<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use \Cviebrock\EloquentSluggable\Sluggable;
use \Cviebrock\EloquentSluggable\SluggableScopeHelpers;

class Language extends Model
{
    use Sluggable;
    use SluggableScopeHelpers;

    public $incrementing = false;
    

    public static function boot()
    {
        parent::boot();
        self::creating(function ($model) {
            $model->id = (string) \Uuid::generate();
        });
    }

    protected $fillable = [
        'name'
    ];

    public function sluggable()
    {
        return [
            'slug' => [
                'source' => 'name'
            ]
        ];
    } 
}
