<?php

use Illuminate\Database\Seeder;
use App\RouteContent;
use App\Route;
use App\Language;

class RouteContentsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $faker = new Faker\Generator();
        $faker->addProvider(new Faker\Provider\pt_BR\Person($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Address($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\PhoneNumber($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Company($faker));
        $faker->addProvider(new Faker\Provider\pt_BR\Internet($faker));
        $faker->addProvider(new Faker\Provider\Lorem($faker));
        $faker->addProvider(new Faker\Provider\DateTime($faker));

        $routes             =           Route::all();
        $languages          =           Language::all();

        $index              =           0;

        foreach($routes as $route){
            foreach($languages as $language){
                $index++;
                
                $obj                    =       new RouteContent;
                $obj->route_id          =       $route->id;
                $obj->language_id       =       $language->id;
                $obj->name              =       'Rota teste '.$index; 
                $obj->description       =       $language->name.' - '.$faker->paragraph(3, true); 
                $obj->save();
            }
        }
    }
}
