@extends('admin.layout.default')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Criar novo</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ route('admin.boasvindas.index') }}"> Voltar</a>
            </div>
        </div>
    </div>
 

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> Ocorreu algum erro.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
 

    <form action="{{ route('admin.boasvindas.store') }}" method="POST" enctype="multipart/form-data">
        @csrf

        <div class="row"> 
            

            <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Texto | {{ $language->name }}</strong>
                        <textarea name="text_message" required="required" rows="5" class="form-control">{{ $message ? $message->text_message : '' }}</textarea>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Áudio | {{ $language->name }}</strong>
                        @if($message)
                        <audio controls>
                            <source src="{{ $message->audio_message }}" type="audio/mpeg">
                            Your browser does not support the audio element.
                        </audio>
                        @endif
                        <input class="form-control" required="required" type="file" name="audio_message"> 
                        
                    </div> 
                </div>

            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Atualizar</button>
            </div>

        </div>


    </form>


@endsection