@extends('admin.layout.default')


@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Criar novo</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ route('admin.cidades.index') }}"> Back</a>
            </div>
        </div>
    </div>


    @if ($errors->any())
        <div class="alert alert-danger"> 
            <strong>Whoops!</strong> Ocorreu algum erro.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif 


    <form action="{{ route('admin.cidades.store') }}" method="POST" enctype="multipart/form-data">
        @csrf


         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nome:</strong>
                    <select name="country_id" class="form-control" required>
                        @foreach($countries as $country)
                            @if($country->name == 'Brazil')
                                <option selected value="{{ $country->id }}">{{ $country->name }}</option>
                            @else
                                <option value="{{ $country->id }}">{{ $country->name }}</option>
                            @endif
                            
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nome:</strong>
                    <input type="text" name="name" class="form-control" placeholder="Nome">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Foto</strong>
                    <input required="required" class="form-control" type="file" name="cover"> 
                </div> 
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                    <button type="submit" class="btn btn-primary">Salvar</button>
            </div>
        </div>


    </form>


@endsection