@extends('admin.layout.default')


@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Criar novo</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ route('admin.historicos.index') }}"> Voltar</a>
            </div>
        </div>
    </div>


    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> Alguns erros ocorreram.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif


    <form action="{{ route('admin.historicos.store') }}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Cidade:</strong>
                    <select name="city_id" class="form-control" required>
                        @if($cidades->count() < 1)
                            <option value="">ATENÇÃO, TODAS AS CIDADES JÁ TEM HISTÓRICO, ADICIONE UMA NOVA CIDADE PARA CRIAR UM NOVO HISTÓRICO.</option>
                        @else
                            <option value="">Selecione</option>
                        @endif
                        @foreach($cidades as $cidade)
                            <option value="{{ $cidade->id }}">{{ $cidade->name }}</option> 
                        @endforeach
                    </select>
                </div>
            </div>
        </div>
        @foreach($languages as $language)
            <div class="row">
                
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Texto | {{ $language->name }}</strong>
                        <textarea required="required" name="text_message[{{ $language->slug }}]" rows="5" class="form-control">{{ $language->data_historico ? $language->data_historico->text_message : '' }}</textarea>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Áudio | {{ $language->name }}</strong>
                        <input required="required" class="form-control" type="file" name="audio_message[{{ $language->slug }}]"> 
                    </div> 
                </div>
            </div>
        @endforeach
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                    <button type="submit" class="btn btn-primary">Atualizar</button>
                </div>
    </form>


@endsection