@extends('admin.layout.default')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Criar novo</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ route('admin.pontos.index') }}"> Voltar</a>
            </div>
        </div>
    </div>
 

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> Ocorreu algum erro.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
 

    <form action="{{ route('admin.pontos.store') }}" method="POST" enctype="multipart/form-data">
        @csrf

        <div class="row"> 
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="form-group">
                    <strong>Rota:</strong>
                    <select name="route_ids[]" class="form-control" required  multiple>
                        
                        @foreach($rotas as $rota)
                            <option value="{{ $rota->id }}">    
                                {{ $rota->city->name }} - {{ $rota->route_contents[0]['name'] }} 
                            </option> 
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="form-group">
                    <strong>Nome:</strong>
                    <input type="text" name="name" value="" class="form-control" placeholder="Nome"  required="required">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-4">
                <div class="form-group">
                    <strong>Endereço:</strong>
                    <input type="text" name="address" value="" class="form-control" placeholder="Endereço" required="required">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-4">
                <div class="form-group">
                    <strong>Latitude:</strong>
                    <input type="text" name="latitude" value="" class="form-control" placeholder="Latitude" required="required">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-4">
                <div class="form-group">
                    <strong>Longitude:</strong>
                    <input type="text" name="longitude" value="" class="form-control" placeholder="Longitude" required="required">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Imagem</strong>
                    <input class="form-control" type="file" name="cover" required="required"> 
                </div> 
            </div>

            @foreach($languages as $language)
                
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Texto | {{ $language->name }}</strong>
                        <textarea name="text_message[{{ $language->slug }}]" required="required" rows="5" class="form-control"></textarea>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Áudio | {{ $language->name }}</strong>
                        <input class="form-control" required="required" type="file" name="audio_message[{{ $language->slug }}]"> 
                        
                    </div> 
                </div>
            @endforeach

            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Atualizar</button>
            </div>

        </div>


    </form>


@endsection