@extends('admin.layout.default')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Editar</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ route('admin.pontos.index') }}"> Voltar</a>
            </div>
        </div>
    </div>
 

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> Ocorreu algum erro.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
 

    <form action="{{ route('admin.pontos.update',$ponto->id) }}" method="POST" enctype="multipart/form-data">
        @csrf
        @method('PUT')

        <div class="row"> 
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="form-group">
                    <strong>Rota:</strong>
                    <select name="route_ids[]" class="form-control" multiple required>
                        
                        @foreach($rotas as $rota)
                            @if(in_array($rota->id, $route_ids))
                                <option value="{{ $rota->id }}" selected>
                            @else
                                <option value="{{ $rota->id }}">
                            @endif
                            {{ $rota->city->name }} - {{ $rota->route_contents[0]['name'] }} 
                                </option> 
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="form-group">
                    <strong>Nome:</strong>
                    <input type="text" name="name" value="{{ $ponto->name }}" class="form-control" placeholder="Nome" required="required">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-4">
                <div class="form-group">
                    <strong>Endereço:</strong>
                    <input type="text" name="address" value="{{ $ponto->address }}" class="form-control" placeholder="Endereço" required="required">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-4">
                <div class="form-group">
                    <strong>Latitude:</strong>
                    <input type="text" name="latitude" value="{{ $ponto->latitude }}" class="form-control" placeholder="Latitude" required="required">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-4">
                <div class="form-group">
                    <strong>Longitude:</strong>
                    <input type="text" name="longitude" value="{{ $ponto->longitude }}" class="form-control" placeholder="Longitude" required="required">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Imagem</strong>
                    <input class="form-control" type="file" name="cover"> 
                    <div style="background-color:#000">
                        <img src="{{ $ponto->cover }}" style="max-width:300px; display:block; margin:0 auto;">
                    </div>
                </div> 
            </div>

            @foreach($languages as $language)
                
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Texto | {{ $language->name }}</strong>
                        <textarea name="text_message[{{ $language->slug }}]" required="required" rows="5" class="form-control">{{ $language->content ? $language->content->text_message : '' }}</textarea>
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Áudio | {{ $language->name }}</strong>
                        @if($language->content)
                        <audio controls>
                            <source src="{{ $language->content->audio_message }}" type="audio/mpeg">
                            Your browser does not support the audio element.
                        </audio>
                        @endif
                        <input class="form-control" type="file" name="audio_message[{{ $language->slug }}]"> 
                        
                    </div> 
                </div>
            @endforeach

            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Atualizar</button>
            </div>

        </div>


    </form>


@endsection