@extends('admin.layout.default')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Criar novo</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-primary" href="{{ route('admin.rotas.index') }}"> Voltar</a>
            </div>
        </div>
    </div>

    <hr>
 
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> Alguns erros ocorreram.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif


    <form action="{{ route('admin.rotas.store') }}" method="POST" enctype="multipart/form-data">
        @csrf
 
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Cidade:</strong>
                    <select name="city_id" class="form-control" required>
                        
                        @foreach($cidades as $cidade)
                            <option value="{{ $cidade->id }}">{{ $cidade->name }}</option> 
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Imagem</strong>
                    <input class="form-control" type="file" name="cover" required="required">
                </div>
            </div>
        </div>
        
        @foreach($languages as $language)
            <div class="row">
                 
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Nome | {{ $language->name }}</strong>
                        <input name="name[{{ $language->slug }}]" required="required" type="name" class="form-control" value="{{ $language->data_historico ? $language->data_historico->name : '' }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Descrição | {{ $language->name }}</strong>
                        <textarea name="description[{{ $language->slug }}]" required="required" rows="5" class="form-control">{{ $language->data_historico ? $language->data_historico->description : '' }}</textarea>
                    </div>
                </div>
                
            </div>
        @endforeach
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <button type="submit" class="btn btn-primary">Atualizar</button>
        </div>
    </form>


@endsection