@extends('admin.layout.default')


@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Listagem</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-success" href="{{ route('admin.rotas.create') }}"> Criar novo</a>
            </div>
        </div>
    </div>

    <table class="table table-bordered">
        <tr>
            <th>Imagem</th>
            <th>Nome</th>
            <th>Cidade</th>
            <th width="165px">Ações</th>
        </tr>
        @foreach ($rotas as $rota)
        <tr>
            <td><a target="_blank" href="{{ $rota->cover }}"><img src="{{ $rota->cover }}" style="max-width: 100px"></a></td>
            <td>
                @foreach($rota->route_contents as $route_content)
                {{ $route_content->language->name }} - {{ $route_content->name }} <br>
                @endforeach
            </td>
            <td>
                {{ $rota->city->name }}
            </td>
            <td>
                <form action="{{ route('admin.rotas.destroy',$rota->id) }}" method="POST">


                    <!-- <a class="btn btn-info" href="{{ route('admin.historicos.show', ['city_id' => $rota->id]) }}">Ver</a> -->
                    <a class="btn btn-primary" href="{{ route('admin.rotas.edit', ['route_id' => $rota->id]) }}">Editar</a>
                        <br> <br>
                        <a class="btn btn-primary" href="{{ route('admin.rotas.pontos', ['route_id' => $rota->id]) }}">Ver pontos</a>

                    @csrf
                    @method('DELETE')

    
                    <!-- <button type="submit" class="btn btn-danger">Deletar</button> -->
                </form>
            </td>
        </tr>
        @endforeach
    </table>


    {!! $rotas->links() !!}


@endsection