<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('rotas/pontos_update/{id}','Admin\RotasController@pontos_update')->name('rotas.pontos_update');

Route::group(['namespace' => 'Api'], function () {

    //Public routes
    Route::get('languages', 'DefaultController@getLang')->name('getLang');
    Route::get('countries', 'DefaultController@getCountry')->name('getCountry');
    Route::get('welcomeMessage', 'DefaultController@getWelcomeMessage')->name('getWelcomeMessage');
    Route::get('routes', 'DefaultController@getRoutes')->name('getRoutes');
    Route::get('cityHistory', 'DefaultController@getCityHistory')->name('getCityHistory');
    Route::get('city', 'DefaultController@getCity')->name('getCity');
    Route::get('cities', 'DefaultController@getCities')->name('getCities');
    Route::get('points', 'DefaultController@getPoints')->name('getPoints');
    Route::get('point', 'DefaultController@getPointById')->name('getPointById');

    Route::get('fence', 'DefaultController@getFences')->name('getFences');

    Route::group(['namespace' => 'Client', 'prefix' => 'client', 'as' => 'client.'], function(){
        
        // Client protected routes
        Route::group(['middleware' => 'api_client_auth'], function(){
            Route::post('/update', 'ClientController@update')->name('client.update');
        });
        
        // Client auth routes
        Route::group(['as' => 'auth.'], function(){
            Route::post('/resetarSenha', 'AuthController@resetarSenha')->name('auth.resetarSenha');
            Route::post('/cadastro', 'AuthController@cadastro')->name('auth.cadastro');
            Route::post('/login', 'AuthController@login')->name('auth.login');
            Route::get('/validateToken', 'AuthController@validateToken')->name('auth.validateToken');
        });

        // Client public routes
        Route::post('/contact/save', 'ContactController@save')->name('contact.save'); 

    });
});

